module Nucleo
  module Models
    module CheckTypes
      class Length < Nucleo::Models::CheckTypes::Base

        def type
          'length'
        end

        # Returns the min allowed length
        #
        # @return [String]
        def min_length
          Integer(@attributes['min_length'])
        end

        # Returns the max allowed length
        #
        # @return [String]
        def max_length
          Integer(@attributes['max_length'])
        end
      end
    end
  end
end
