require File.expand_path('../feeds', __FILE__)

module Nucleo
  module Models
    class PageAlerts
      # Returns an instance of Page Alerts
      #
      # @param attributes [Hash]
      #
      # @return [Nucleo::Models::PageAlerts]
      def initialize(attributes={})
        @attributes = attributes
      end

      def self.retrieve(id, params={})
        response_body = Nucleo::Requests::PageAlerts.retrieve(id, params)

        self.new(response_body)
      end

      def alerts
        Nucleo::Models::Feeds.new(@attributes)
      end

    end
  end
end
