module Nucleo
  module Requests
    class Analyzer
      def self.analyze!(attributes={})
        route = Nucleo::Client.routes.route_for('analyzer')
        url   = route.url_for

        request_params = attributes

        response = Nucleo::Client.post(url, MultiJson.dump(request_params))

        unless response.success?
          raise Nucleo::Errors::InvalidUriError.new("URL is invalid")
        end

        response.body
      end

      def self.analyze(attributes={})
        route = Nucleo::Client.routes.route_for('analyzer')
        url   = route.url_for

        request_params = attributes

        response = Nucleo::Client.post(url, MultiJson.dump(request_params))

        if response.success?
          response.body
        else
          {}
        end
      end
    end
  end
end
