module Nucleo
  module Requests
    class Site
      def self.register(attributes={})
        route = Nucleo::Client.routes.route_for('sites')
        url   = route.url_for

        request_params = attributes

        request = Nucleo::Client.post(url, MultiJson.dump(request_params))

        request
      end

      def self.process(site_id)
        route = Nucleo::Client.routes.route_for('site-process')
        url   = route.url_for(id: site_id)

        request = Nucleo::Client.get(url)

        request
      end

    end
  end
end
