module Nucleo
  module Models
    module CheckTypes
      class Base
        include Comparable

        # Return an instance of the Rule Type domain model
        #
        # @param attributes [Hash]
        #
        # @return [Nucleo::Models::RuleType::Base]
        def initialize(attributes={})
          @attributes = attributes
        end

        # Returns the elements in the rule
        #
        # @return [String]
        def elements
          Nucleo::Models::Elements.new(@attributes['elements'])
        end
      end
    end
  end
end
