module Nucleo
  module Models
    module CheckTypes
      class Count < Nucleo::Models::CheckTypes::Base

        def type
          'count'
        end

        # Returns the min allowed count
        #
        # @return [String]
        def min_count
          Integer(@attributes['min_count'])
        end

        # Returns the max allowed count
        #
        # @return [String]
        def max_count
          Integer(@attributes['max_count'])
        end
      end
    end
  end
end
