module Nucleo
  module Models
    class Element
      include Comparable

      def initialize(attributes={})
        @attributes = attributes
      end

      def content
        @attributes.fetch('content', '')
      end

      def src
        @attributes.fetch('src', '')
      end

      def alt
        @attributes.fetch('alt', '')
      end

      def content_length
        self.content.length
      end

      def content_empty?
        self.content.empty?
      end

      def content_present?
        self.content.present?
      end

      def html
        @attributes.fetch('html', '')
      end

    end
  end
end
