require File.expand_path('../../../base', __FILE__)

module Nucleo
  module Models
    module FeedTypes
      module Seo
        module Page

          class Base < Nucleo::Models::FeedTypes::Base

            # Returns the checks
            #
            # @return [Array]
            def checks
              Nucleo::Models::Checks.new(data.fetch('checks',[]))
            end

            def check_count
              checks.count
            end

            def element
              Nucleo::Models::Element.new(data.fetch('element',{}))
            end

            def element_content
              self.element.content
            end

            def element_content?
              self.element_content.present?
            end

            def points
              data.fetch('points', 0).to_i
            end

            def find_content
              self.checks.find_content
            end
          end

        end
      end
    end
  end
end
